1

I am alwaays getting the below error when running composer require like that.

I am currently giving the authentication keys but still it displays error. Please help

Installation failed, reverting ./composer.json to its original content.


  [Composer\Downloader\TransportException]
  Invalid credentials for 'http://repo.packagist.org/p/facebook/webdriver%24155308e10882efda6fe26ab952b4612ffe5058672
  9c4cfe08166806e1a94fff8.json', aborting.
1

It seems to complain about the facebook package.

Assuming that that package is on the marketplace, even if it is free you will have to put it in cart and complete the purchase inside magento marketplace with an account that is connected to your authentication keys. Then that package till be connected to your authentication keys and you can install it.

| improve this answer | |
  • There is nothing coming as facebook/webdriver in the Magento marketplace. – Kowsigan Atsayam Oct 26 at 12:35
  • I don't know why it is showing -> Invalid credentials for 'repo.packagist.org/p/facebook/…', aborting. I am not able to find any solution for this anywhere. – Kowsigan Atsayam Oct 26 at 12:58
  • Are you using that package? Otherwise you could remove from your composer – Kristoffer Oct 26 at 14:25

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.